Subject: Re: bug#74430: 30.0.92; pixel-scroll-precision-mode hiding Eshell prompt after some commands

From: martin rudalics <[email-masked]>
Date: Wed, 1 Jan 2025 10:02:41 +0100

> Dump this into "eshell_scroll_bug.el":
 >
 >     (pixel-scroll-precision-mode)
 >     (tool-bar-mode -1)
 >     (setopt frame-resize-pixelwise t)
 >     (set-frame-height (selected-frame) 486 nil t)
 >     (eshell)
 >
 > Then run `emacs -Q -l eshell_scroll_bug.el`, and then run `find /etc/` from inside Eshell.
 >
 > The prompt should appear covered by the mode-line.

I can reproduce it here with (setopt frame-resize-pixelwise t) and
dragging the bottom border of the frame up so the eshell window doesn't
have an integral number of lines.

'pixel-scroll-precision-mode' sets 'make-cursor-line-fully-visible' to
nil so this is probably the intended bahavior.  When I do

(setq-default make-cursor-line-fully-visible nil)

I can't see it any more.

martin